<?php

//nom de votre application/boutique
defined('SHOP_NAME') or define('SHOP_NAME','');
//URL de votre logo
defined('LOGO_URL') or define('LOGO_URL','');

//Montant paiement par défaut (soit un tableau ...
defined('AMOUNT') or define('AMOUNT', [
//        [
//           'label' => '1 mois',
//           'montant' => '2000',
//       ],
//       [
//           'label' => '6 mois',
//           'montant' => '11000',
//       ],
//       [
//           'label' => '1 an',
//           'montant' => '20000',
//       ],
    ]
);

// description de l'achat
defined('PURCHASE_DESCRIPTION') or define('PURCHASE_DESCRIPTION', '');

//Numéros de téléphone qui recoivent les paiements
defined('NUMBER_ORANGE') or define('NUMBER_ORANGE', '');
defined('NUMBER_TELMOB') or define('NUMBER_TELMOB', '');

//URL où renvoyer l'utilisateur une fois le paiement validé
//les substitutions suivantes seront faites:
// '%ID%' sera remplacée par l'identifiant de l'enregistrement correspondant au paiement
// %TRANSACTION_ID% => identifiant de la transaction (issu de l'opérateur: X123456.1234.X12345)
// %AMOUNT% => le montant de la transaction
// example: www.example.com  ==> www.example.com
//          www.example.com?success=true&record=%ID%  ==> www.example.com?success=true&record=6
defined('RETURN_URL') or define('RETURN_URL', '');

//URL qui sera appelée, dans le schéma 2 d'utilisation, une fois qu'un paiement est reçu
//comme pour la constante précédente, toute occurence des chaines '%ID%', %TRANSACTION_ID%
// ou %AMOUNT sera remplacée par la valeur correspondante
defined('SERVICE_RETURN_URL') or define('SERVICE_RETURN_URL', '');

//faut-il mettre à jour l'enregistrement sur le site de MPay?
defined('UPDATE_REMOTE_RECORD') or define('UPDATE_REMOTE_RECORD', true);
//faut-il sauvegarder l'enregistrement dans la base de données locale?
defined('SAVE_LOCAL_RECORD') or define('SAVE_LOCAL_RECORD', false);
//préfixe pour les noms de table dans la base de données
defined('TABLE_PREFIX') or define('TABLE_PREFIX', 'mpay_client_');

//Enregistrement à ne pas modifier (exemple pour un paiement réutilisable dans le cadre d'une promotion)
defined('IMMUTABLE_ROW_IDS') or define('IMMUTABLE_ROW_IDS', []);

//clé de validation des cookies
// obligatoire !! (mais vous pouvez y mettre une chaine quelconque, genre 'macleDeVaLidat10n').
defined('CLE_VALIDATION_COOKIES') or define('CLE_VALIDATION_COOKIES','');

//===== A priori, les paramètres ci-dessous n'ont pas besoin d'être modifiés =====

//URL de l'api MPay
if(YII_DEBUG) {
  defined('MPAY_API_BASE_URL') or define('MPAY_API_BASE_URL', 'http://localhost:9201');
} else {
  defined('MPAY_API_BASE_URL') or define('MPAY_API_BASE_URL', 'https://www.mpay.ytsamy.name/api');
}

//format pour les date
defined('DATETIME_FORMAT') or define('DATETIME_FORMAT', 'Y-m-d H:i:s');
defined('DATEINTERVAL_FORMAT') or define('DATEINTERVAL_FORMAT', '%Y année(s), %M mois et %D jour(s)');
